For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get data center list

Retrieve all available data centers. Use this endpoint to view location options before deploying VPS instances.

Get data center list

get

Retrieve all available data centers.

Use this endpoint to view location options before deploying VPS instances.

Authorizations
AuthorizationstringRequired

API Token authentication

Responses
200

Success response

application/json
idintegerOptional

Data center ID

Example: 29
namestring · nullableOptional

Data center name

Example: phx
locationstring · nullableOptional

Data center location country (two letter code)

Example: us
citystring · nullableOptional

Data center location city

Example: Phoenix
continentstring · nullableOptional

Data center location continent

Example: North America
get/api/vps/v1/data-centers
GET /api/vps/v1/data-centers HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 29,
    "name": "phx",
    "location": "us",
    "city": "Phoenix",
    "continent": "North America"
  }
]

Last updated

Was this helpful?